## org.biojavax.bio.phylo.io.nexus
Class TreesBlockParser

    java.lang.Object
      org.biojavax.bio.phylo.io.nexus.NexusBlockParser.Abstract
          org.biojavax.bio.phylo.io.nexus.TreesBlockParser

All Implemented Interfaces:
  NexusBlockParser

    public class TreesBlockParser

extends NexusBlockParser.Abstract

Parses Nexus taxa blocks.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockParser
`NexusBlockParser.Abstract`

Field Summary

Fields inherited from interface org.biojavax.bio.phylo.io.nexus.NexusBlockParser
`UNKNOWN_BLOCK`

Constructor Summary
`TreesBlockParser(TreesBlockListener blockListener)` Delegates to NexusBlockParser.Abstract.

Method Summary
`void` `beginComment()` Opening a comment tag.
`void` `commentText(String comment)` Receiving free text inside a comment tag.
`void` `endComment()` Closing a comment tag.
`void` `endTokenGroup()` Closing a line (semi-colon encountered).
`void` `parseToken(String token)` Notifies the parser of the next token.
`void` `resetStatus()` This function is called when the parser is reset before starting a new block.

Methods inherited from class org.biojavax.bio.phylo.io.nexus.NexusBlockParser.Abstract
`endBlock, getBlockListener, getBlockName, startBlock, wantsBracketsAndBraces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreesBlockParser

    public TreesBlockParser(TreesBlockListener blockListener)

  Delegates to NexusBlockParser.Abstract.

  Parameters:
    `blockListener` - the listener to send parse events to.

Method Detail

### beginComment

    public void beginComment()

  Description copied from interface: `NexusBlockParser`
  Opening a comment tag.

  Specified by:
    `beginComment` in interface `NexusBlockParser`
  Overrides:
    `beginComment` in class `NexusBlockParser.Abstract`

### commentText

    public void commentText(String comment)
                     throws ParseException

  Description copied from interface: `NexusBlockParser`
  Receiving free text inside a comment tag.

  Specified by:
    `commentText` in interface `NexusBlockParser`
  Overrides:
    `commentText` in class `NexusBlockParser.Abstract`
  Parameters:
    `comment` - the text of the comment.
  Throws:
    `ParseException`

### endComment

    public void endComment()

  Description copied from interface: `NexusBlockParser`
  Closing a comment tag.

  Specified by:
    `endComment` in interface `NexusBlockParser`
  Overrides:
    `endComment` in class `NexusBlockParser.Abstract`

### resetStatus

    public void resetStatus()

  Description copied from class: `NexusBlockParser.Abstract`
  This function is called when the parser is reset before starting a new block.

  Specified by:
    `resetStatus` in class `NexusBlockParser.Abstract`

### parseToken

    public void parseToken(String token)
                    throws ParseException

  Description copied from interface: `NexusBlockParser`
  Notifies the parser of the next token. Comment tokens will already have been parsed out and sent separately to the text() method of the listener. Quoted strings will have been parsed and underscores converted. What this token contains is the full string, after removal of quotes if necessary. The token will never be only whitespace.

  Specified by:
    `parseToken` in interface `NexusBlockParser`
  Specified by:
    `parseToken` in class `NexusBlockParser.Abstract`
  Parameters:
    `token` - the token to parse.
  Throws:
    `ParseException` - if the token is unparseable.

### endTokenGroup

    public void endTokenGroup()

  Description copied from interface: `NexusBlockParser`
  Closing a line (semi-colon encountered). This indicates that anything received after it is on the next logical line of the block.

  Specified by:
    `endTokenGroup` in interface `NexusBlockParser`
  Overrides:
    `endTokenGroup` in class `NexusBlockParser.Abstract`